package com.mdd.admin.validate.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("用户下线参数")
public class UserOrderDownValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("sessionId")
   private @NotNull(
   message = "sessionId参数缺失"
) String sessionId;
   @ApiModelProperty("最后一次离线时间")
   private @NotNull(
   message = "expireTime参数缺失"
) Integer expireTime;

   public @NotNull(
   message = "sessionId参数缺失"
) String getSessionId() {
      return this.sessionId;
   }

   public @NotNull(
   message = "expireTime参数缺失"
) Integer getExpireTime() {
      return this.expireTime;
   }

   public void setSessionId(@NotNull(
   message = "sessionId参数缺失"
) String sessionId) {
      this.sessionId = sessionId;
   }

   public void setExpireTime(@NotNull(
   message = "expireTime参数缺失"
) Integer expireTime) {
      this.expireTime = expireTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof UserOrderDownValidate)) {
         return false;
      } else {
         UserOrderDownValidate other = (UserOrderDownValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$expireTime = this.getExpireTime();
            Object other$expireTime = other.getExpireTime();
            if (this$expireTime == null) {
               if (other$expireTime != null) {
                  return false;
               }
            } else if (!this$expireTime.equals(other$expireTime)) {
               return false;
            }

            Object this$sessionId = this.getSessionId();
            Object other$sessionId = other.getSessionId();
            if (this$sessionId == null) {
               if (other$sessionId != null) {
                  return false;
               }
            } else if (!this$sessionId.equals(other$sessionId)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof UserOrderDownValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $expireTime = this.getExpireTime();
      result = result * 59 + ($expireTime == null ? 43 : $expireTime.hashCode());
      Object $sessionId = this.getSessionId();
      result = result * 59 + ($sessionId == null ? 43 : $sessionId.hashCode());
      return result;
   }

   public String toString() {
      return "UserOrderDownValidate(sessionId=" + this.getSessionId() + ", expireTime=" + this.getExpireTime() + ")";
   }
}
